Bug 634037 - (ghc-MissingH) Review Request: ghc-MissingH - Large utility library
Review Request: ghc-MissingH - Large utility library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On: ghc-hslogger
Blocks: ghc-ConfigFile git-annex
  Show dependency treegraph
 
Reported: 2010-09-14 21:45 EDT by Ben Boeckel
Modified: 2012-12-06 08:33 EST (History)
3 users (show)

See Also:
Fixed In Version: ghc-MissingH-1.1.0.3-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-21 18:57:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
ghc-MissingH.spec-iconv.patch (1.01 KB, patch)
2010-09-22 04:08 EDT, Jens Petersen
no flags Details | Diff
ghc-MissingH.spec-iconv+license.patch (1.79 KB, patch)
2010-09-22 06:32 EDT, Jens Petersen
no flags Details | Diff
ghc-MissingH.spec-2.patch (438 bytes, patch)
2010-12-05 23:31 EST, Jens Petersen
no flags Details | Diff

  None (edit)
Description Ben Boeckel 2010-09-14 21:45:51 EDT
Spec: http://benboeckel.net/packaging/ghc-MissingH/ghc-MissingH.spec
SRPM: http://benboeckel.net/packaging/ghc-MissingH/ghc-MissingH-1.1.0.3-1.fc14.src.rpm
Description:
MissingH is a library of all sorts of utility functions for
Haskell programmers. It is written in pure Haskell and thus
should be extremely portable and easy to use.

% lintmock fedora-14-x86_64-bb
ghc-MissingH.src: W: strange-permission ghc-MissingH.spec 0640L
ghc-MissingH.src: W: strange-permission ghc-MissingH-encoding.patch 0640L
ghc-MissingH.src: W: strange-permission MissingH-1.1.0.3.tar.gz 0640L
ghc-MissingH-prof.x86_64: E: devel-dependency ghc-MissingH-devel
ghc-MissingH-prof.x86_64: W: no-documentation
ghc-MissingH-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/MissingH-1.1.0.3/libHSMissingH-1.1.0.3_p.a
4 packages and 0 specfiles checked; 1 errors, 5 warnings.
Comment 1 Jens Petersen 2010-09-15 21:55:56 EDT
(In reply to comment #0)
> Spec: http://benboeckel.net/packaging/ghc-MissingH/ghc-MissingH.spec

This gives me a 403 btw.
Comment 2 Jens Petersen 2010-09-15 22:57:03 EDT
I think generally people use iconv to fix encodings of files:

http://fedoraproject.org/wiki/Common_Rpmlint_issues#file-not-utf8
Comment 3 Jens Petersen 2010-09-22 04:08:24 EDT
Created attachment 448872 [details]
ghc-MissingH.spec-iconv.patch
Comment 4 Jens Petersen 2010-09-22 06:32:52 EDT
Created attachment 448899 [details]
ghc-MissingH.spec-iconv+license.patch

Add license annotation comments and make overall runtime be GPLv2+

Strictly speaking src/System/Time/ParseDate.hs looks like
GPLv2 only to me, but newer versions of that code on
hackage (parsedate) are BSD.  I asked jgoerzen by email
if you would consider updating to the BSD version to
simplify the licensing.

This library is really a hotpot of many small libraries
some of which may even exist in hackage today but it is
fairly popular library.
Comment 5 Jens Petersen 2010-10-31 22:22:40 EDT
ping? :)
Comment 6 Jens Petersen 2010-11-16 20:16:01 EST
ping-a-ling?
Comment 8 Jens Petersen 2010-12-05 22:41:42 EST
Here is the review:

 +:ok,  NA: not applicable

MUST Items:
[+] MUST: rpmlint output:

ghc-MissingH.src: W: strange-permission ghc-MissingH.spec 0640L
ghc-MissingH.src: W: strange-permission MissingH-1.1.0.3.tar.gz 0640L
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
ghc-MissingH-prof.x86_64: E: devel-dependency ghc-MissingH-devel
ghc-MissingH-prof.x86_64: W: no-documentation
ghc-MissingH-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/MissingH-1.1.0.3/libHSMissingH-1.1.0.3_p.a
1 packages and 0 specfiles checked; 1 errors, 2 warnings.

[+] MUST: The package must be named according to the Package Naming Guidelines
[+] MUST: The spec file name must match base package %{name}
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: include license files in %doc if included in source
[+] MUST: The spec file must be written in American English and be legible.
[+] MUST: source md5sum matches upstream release

a64af1885d60523fe598b4dad086fa6e  MissingH-1.1.0.3.tar.gz

[+] MUST: must successfully compile and build into binary rpms on one main arch
[+] MUST: if necessary use ExcludeArch for other archs
[+] MUST: All build dependencies must be listed in BuildRequires
[NA] MUST: use %find_lang macro for .po translations
[NA] MUST: packages with shared library files in the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[NA] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review
[+] MUST: A package must own all directories that it creates, or require a package which does create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing (except license files if necessary).
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
[+] MUST: Each package must consistently use macros
[+] MUST: The package must contain code, or permissable content.
[NA] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[NA] MUST: Static libraries must be in a -static package.
[NA] MUST: If a package has library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[NA] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: The reviewer should test that the package builds in mock.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2645981

[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
Comment 9 Jens Petersen 2010-12-05 23:31:48 EST
Created attachment 464921 [details]
ghc-MissingH.spec-2.patch

Package is APPROVED.


I forgot to post this little suggestion to simplify the COPYRIGHT conversion.
Comment 10 Ben Boeckel 2010-12-06 12:07:07 EST
Thanks. Will apply the patch when importing.

New Package CVS Request
=======================
Package Name: ghc-MissingH
Short Description: Large utility library
Owners: mathstuf
Branches: F-13 F-14
InitialCC: haskell-sig
Comment 11 Jens Petersen 2010-12-08 19:47:57 EST
Git done (by process-git-requests).
Comment 12 Fedora Update System 2010-12-10 21:35:04 EST
ghc-MissingH-1.1.0.3-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ghc-MissingH-1.1.0.3-2.fc13
Comment 13 Fedora Update System 2010-12-10 21:35:11 EST
ghc-MissingH-1.1.0.3-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-MissingH-1.1.0.3-2.fc14
Comment 14 Fedora Update System 2010-12-11 19:02:41 EST
ghc-MissingH-1.1.0.3-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghc-MissingH'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ghc-MissingH-1.1.0.3-2.fc14
Comment 15 Fedora Update System 2010-12-21 18:57:51 EST
ghc-MissingH-1.1.0.3-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2010-12-21 18:59:46 EST
ghc-MissingH-1.1.0.3-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Jens Petersen 2012-12-05 20:16:58 EST
Package Change Request
======================
Package Name: ghc-MissingH
New Branches: el6
Owners: mathstuf petersen
InitialCC: haskell-sig
Comment 18 Gwyn Ciesla 2012-12-06 08:33:32 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.